> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get address book

> Returns all eligible recipients for withdrawal.



## OpenAPI

````yaml GET /api/v1/address-book
openapi: 3.0.3
info:
  title: REST API
  description: >
    # Welcome to Coinbase INTX API

    ## Introduction

    The INTX APIs allow institutions to trade and manage orders on the
    International Exchange. The following API pages detail various REST API
    endpoints we offer.

    ## Getting Started

    To get started, please visit one of the following pages:

    - [Quickstart](/international-exchange/introduction/quickstart)

    -
    [Overview](/api-reference/international-exchange-api/rest-api/introduction)

    -
    [Authentication](/api-reference/international-exchange-api/rest-api/authentication)

    - [Rate Limits](/international-exchange/introduction/rate-limits-overview)

    ## FIX API

    - [FIX API reference](/international-exchange/fix-api/fix-api-overview)

    ## WebSocket API

    - [WebSocket API
    reference](/international-exchange/websocket-feed/websocket-overview)
  version: '1.0'
servers:
  - url: https://api.international.coinbase.com
security: []
paths:
  /api/v1/address-book:
    get:
      tags:
        - Address Book
      summary: Get address book
      description: Returns all eligible recipients for withdrawal.
      operationId: getAddressBook
      parameters:
        - name: recipient_type
          in: query
          description: Filter by recipient type
          required: false
          schema:
            type: string
            enum:
              - CRYPTO_ADDRESS
              - COUNTERPARTY_ID
      responses:
        '200':
          description: Saved addresses list
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Recipient'
        '400':
          description: Invalid attribute
        '401':
          description: Authentication error
      security:
        - auth_client_id: []
          auth_passphrase: []
          auth_signature: []
          auth_timestamp: []
components:
  schemas:
    Recipient:
      type: object
      properties:
        recipient_type:
          $ref: '#/components/schemas/RecipientType'
        recipient_id:
          description: The crypto address or counterparty ID
          type: string
          example: '0x29d2D586e222D0610b04e71974699589379F13b5'
        label:
          description: User-defined label to categorize the address
          type: string
          example: business
        nick_name:
          description: User-defined nickname for the address
          type: string
          example: My Wallet
        status:
          $ref: '#/components/schemas/RecipientStatus'
        asset:
          description: The name of the asset (for crypto addresses only)
          type: string
          example: ETH
        network_arn_id:
          description: The blockchain network identifier (for crypto addresses only)
          type: string
          example: >-
            networks/ethereum-mainnet/assets/313ef8a9-ae5a-5f2f-8a56-572c0e2a4d5a
        created_at:
          description: The time the address was added to the allowlist
          type: string
          format: date-time
          example: '2023-09-16T23:59:53.000Z'
    RecipientType:
      description: The type of withdrawal recipient
      type: string
      enum:
        - CRYPTO_ADDRESS
        - COUNTERPARTY_ID
      example: CRYPTO_ADDRESS
    RecipientStatus:
      description: >-
        The status of the address allowlist entry. PENDING entries become ACTIVE
        after 24 hours
      type: string
      enum:
        - ACTIVE
        - DISABLED
        - PENDING
      example: ACTIVE
  securitySchemes:
    auth_client_id:
      type: apiKey
      name: CB-ACCESS-KEY
      in: header
      description: The Client ID that owns the API Key for the request
    auth_passphrase:
      type: apiKey
      name: CB-ACCESS-PASSPHRASE
      in: header
      description: The pass phrase affiliated with the API Key
    auth_signature:
      type: apiKey
      name: CB-ACCESS-SIGN
      in: header
      description: >-
        A HMAC SHA-256 signature using the API Key secret on the string
        TIMESTAMP, METHOD, REQUEST_PATH, BODY
    auth_timestamp:
      type: apiKey
      name: CB-ACCESS-TIMESTAMP
      in: header
      description: The timestamp of when the request is being made

````